Subject: bug#22884: 25.0.92; C/l mode editing takes waaaayy too long

From: Paul Eggert <[email-masked]>
Date: Fri, 4 Mar 2016 12:32:06 -0800

Alan Mackenzie wrote:
> I have had an idea for fixing Emacs so that we don't have this problem
> with parens in column 0.  That is only to scan comments in the forward
> direction, and to mark them with text properties.  `back_comment' will
> then be little more than checking these text properties are up to date,
> and then doing a backward text property search.

Would this mean we no longer need to put \( into Elisp doc strings too? It has 
always been annoying that we have to do that.

If it's practical to fold your idea into the emacs-25 branch it sounds like 
it'll solve the problem. If it's safer to put such a change into the master 
branch, I can install the patch I already wrote into the emacs-25 branch, as a 
stopgap. What do you think?